# Class LocatingPin

Class LocatingPin

An element with value semantics, which actually implements the placement of some MObject by positioning it in some way.

Declaration :

- C++ : class LocatingPin

Directly inherited by : Allocation FixedLocation RelativeLocation

Artifact : locatingpin

Relation next (<unidirectional association>)

next additional LocatingPin, if any

Declaration :

- Uml : # next : LocatingPin
- C++ : protected: LocatingPin* next